ApiHBaseReplicationArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHBaseReplicationArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHBaseReplicationArguments

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHBaseReplicationArguments
      extends Object

  Replication arguments for HBase service

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHBaseReplicationArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHBaseReplicationArguments` | `addTablesItem(HBaseTableArgs tablesItem)`
    `ApiHBaseReplicationArguments` | `bandwidthPerMap(BigDecimal bandwidthPerMap)`
    `ApiHBaseReplicationArguments` | `database(HBaseDatabaseArgs database)`
    `ApiHBaseReplicationArguments` | `endPointClassName(String endPointClassName)`
    `boolean` | `equals(Object o)`
    `ApiHBaseReplicationArguments` | `exportSnapshotUser(String exportSnapshotUser)`
    `BigDecimal` | `getBandwidthPerMap()` Get bandwidthPerMap
    `HBaseDatabaseArgs` | `getDatabase()` Get database
    `String` | `getEndPointClassName()` Get endPointClassName
    `String` | `getExportSnapshotUser()` Get exportSnapshotUser
    `String` | `getHbaseClusterKey()` Get hbaseClusterKey
    `String` | `getHbasePeerId()` Available since API v52.
    `BigDecimal` | `getMaxParallelSnapshots()` Get maxParallelSnapshots
    `BigDecimal` | `getNumMappers()` Get numMappers
    `HBasePeerState` | `getPeerState()` Get peerState
    `Map<String,String>` | `getReplicationProperties()` Get replicationProperties
    `String` | `getSnapshotScratchLocation()` Get snapshotScratchLocation
    `String` | `getSourceAccount()` Get sourceAccount
    `ApiServiceRef` | `getSourceHBaseService()` Get sourceHBaseService
    `String` | `getSourceSchedulerPool()` Get sourceSchedulerPool
    `List<HBaseTableArgs>` | `getTables()` Get tables
    `int` | `hashCode()`
    `ApiHBaseReplicationArguments` | `hbaseClusterKey(String hbaseClusterKey)`
    `ApiHBaseReplicationArguments` | `hbasePeerId(String hbasePeerId)`
    `Boolean` | `isValidateReplicationSetup()` Get validateReplicationSetup
    `ApiHBaseReplicationArguments` | `maxParallelSnapshots(BigDecimal maxParallelSnapshots)`
    `ApiHBaseReplicationArguments` | `numMappers(BigDecimal numMappers)`
    `ApiHBaseReplicationArguments` | `peerState(HBasePeerState peerState)`
    `ApiHBaseReplicationArguments` | `putReplicationPropertiesItem(String key, String replicationPropertiesItem)`
    `ApiHBaseReplicationArguments` | `replicationProperties(Map<String,String> replicationProperties)`
    `void` | `setBandwidthPerMap(BigDecimal bandwidthPerMap)`
    `void` | `setDatabase(HBaseDatabaseArgs database)`
    `void` | `setEndPointClassName(String endPointClassName)`
    `void` | `setExportSnapshotUser(String exportSnapshotUser)`
    `void` | `setHbaseClusterKey(String hbaseClusterKey)`
    `void` | `setHbasePeerId(String hbasePeerId)`
    `void` | `setMaxParallelSnapshots(BigDecimal maxParallelSnapshots)`
    `void` | `setNumMappers(BigDecimal numMappers)`
    `void` | `setPeerState(HBasePeerState peerState)`
    `void` | `setReplicationProperties(Map<String,String> replicationProperties)`
    `void` | `setSnapshotScratchLocation(String snapshotScratchLocation)`
    `void` | `setSourceAccount(String sourceAccount)`
    `void` | `setSourceHBaseService(ApiServiceRef sourceHBaseService)`
    `void` | `setSourceSchedulerPool(String sourceSchedulerPool)`
    `void` | `setTables(List<HBaseTableArgs> tables)`
    `void` | `setValidateReplicationSetup(Boolean validateReplicationSetup)`
    `ApiHBaseReplicationArguments` | `snapshotScratchLocation(String snapshotScratchLocation)`
    `ApiHBaseReplicationArguments` | `sourceAccount(String sourceAccount)`
    `ApiHBaseReplicationArguments` | `sourceHBaseService(ApiServiceRef sourceHBaseService)`
    `ApiHBaseReplicationArguments` | `sourceSchedulerPool(String sourceSchedulerPool)`
    `ApiHBaseReplicationArguments` | `tables(List<HBaseTableArgs> tables)`
    `String` | `toString()`
    `ApiHBaseReplicationArguments` | `validateReplicationSetup(Boolean validateReplicationSetup)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHBaseReplicationArguments

          public ApiHBaseReplicationArguments()

  - ### Method Detail

    - #### sourceHBaseService

          public ApiHBaseReplicationArguments sourceHBaseService(ApiServiceRef sourceHBaseService)

    - #### getSourceHBaseService

          public ApiServiceRef getSourceHBaseService()

      Get sourceHBaseService
      Returns:
        sourceHBaseService

    - #### setSourceHBaseService

          public void setSourceHBaseService(ApiServiceRef sourceHBaseService)

    - #### peerState

          public ApiHBaseReplicationArguments peerState(HBasePeerState peerState)

    - #### getPeerState

          public HBasePeerState getPeerState()

      Get peerState
      Returns:
        peerState

    - #### setPeerState

          public void setPeerState(HBasePeerState peerState)

    - #### hbasePeerId

          public ApiHBaseReplicationArguments hbasePeerId(String hbasePeerId)

    - #### getHbasePeerId

          public String getHbasePeerId()

      Available since API v52.
      Returns:
        hbasePeerId

    - #### setHbasePeerId

          public void setHbasePeerId(String hbasePeerId)

    - #### hbaseClusterKey

          public ApiHBaseReplicationArguments hbaseClusterKey(String hbaseClusterKey)

    - #### getHbaseClusterKey

          public String getHbaseClusterKey()

      Get hbaseClusterKey
      Returns:
        hbaseClusterKey

    - #### setHbaseClusterKey

          public void setHbaseClusterKey(String hbaseClusterKey)

    - #### endPointClassName

          public ApiHBaseReplicationArguments endPointClassName(String endPointClassName)

    - #### getEndPointClassName

          public String getEndPointClassName()

      Get endPointClassName
      Returns:
        endPointClassName

    - #### setEndPointClassName

          public void setEndPointClassName(String endPointClassName)

    - #### tables

          public ApiHBaseReplicationArguments tables(List<HBaseTableArgs> tables)

    - #### addTablesItem

          public ApiHBaseReplicationArguments addTablesItem(HBaseTableArgs tablesItem)

    - #### getTables

          public List<HBaseTableArgs> getTables()

      Get tables
      Returns:
        tables

    - #### setTables

          public void setTables(List<HBaseTableArgs> tables)

    - #### database

          public ApiHBaseReplicationArguments database(HBaseDatabaseArgs database)

    - #### getDatabase

          public HBaseDatabaseArgs getDatabase()

      Get database
      Returns:
        database

    - #### setDatabase

          public void setDatabase(HBaseDatabaseArgs database)

    - #### replicationProperties

          public ApiHBaseReplicationArguments replicationProperties(Map<String,String> replicationProperties)

    - #### putReplicationPropertiesItem

          public ApiHBaseReplicationArguments putReplicationPropertiesItem(String key,
                                                                           String replicationPropertiesItem)

    - #### getReplicationProperties

          public Map<String,String> getReplicationProperties()

      Get replicationProperties
      Returns:
        replicationProperties

    - #### setReplicationProperties

          public void setReplicationProperties(Map<String,String> replicationProperties)

    - #### sourceAccount

          public ApiHBaseReplicationArguments sourceAccount(String sourceAccount)

    - #### getSourceAccount

          public String getSourceAccount()

      Get sourceAccount
      Returns:
        sourceAccount

    - #### setSourceAccount

          public void setSourceAccount(String sourceAccount)

    - #### sourceSchedulerPool

          public ApiHBaseReplicationArguments sourceSchedulerPool(String sourceSchedulerPool)

    - #### getSourceSchedulerPool

          public String getSourceSchedulerPool()

      Get sourceSchedulerPool
      Returns:
        sourceSchedulerPool

    - #### setSourceSchedulerPool

          public void setSourceSchedulerPool(String sourceSchedulerPool)

    - #### numMappers

          public ApiHBaseReplicationArguments numMappers(BigDecimal numMappers)

    - #### getNumMappers

          public BigDecimal getNumMappers()

      Get numMappers
      Returns:
        numMappers

    - #### setNumMappers

          public void setNumMappers(BigDecimal numMappers)

    - #### bandwidthPerMap

          public ApiHBaseReplicationArguments bandwidthPerMap(BigDecimal bandwidthPerMap)

    - #### getBandwidthPerMap

          public BigDecimal getBandwidthPerMap()

      Get bandwidthPerMap
      Returns:
        bandwidthPerMap

    - #### setBandwidthPerMap

          public void setBandwidthPerMap(BigDecimal bandwidthPerMap)

    - #### exportSnapshotUser

          public ApiHBaseReplicationArguments exportSnapshotUser(String exportSnapshotUser)

    - #### getExportSnapshotUser

          public String getExportSnapshotUser()

      Get exportSnapshotUser
      Returns:
        exportSnapshotUser

    - #### setExportSnapshotUser

          public void setExportSnapshotUser(String exportSnapshotUser)

    - #### snapshotScratchLocation

          public ApiHBaseReplicationArguments snapshotScratchLocation(String snapshotScratchLocation)

    - #### getSnapshotScratchLocation

          public String getSnapshotScratchLocation()

      Get snapshotScratchLocation
      Returns:
        snapshotScratchLocation

    - #### setSnapshotScratchLocation

          public void setSnapshotScratchLocation(String snapshotScratchLocation)

    - #### validateReplicationSetup

          public ApiHBaseReplicationArguments validateReplicationSetup(Boolean validateReplicationSetup)

    - #### isValidateReplicationSetup

          public Boolean isValidateReplicationSetup()

      Get validateReplicationSetup
      Returns:
        validateReplicationSetup

    - #### setValidateReplicationSetup

          public void setValidateReplicationSetup(Boolean validateReplicationSetup)

    - #### maxParallelSnapshots

          public ApiHBaseReplicationArguments maxParallelSnapshots(BigDecimal maxParallelSnapshots)

    - #### getMaxParallelSnapshots

          public BigDecimal getMaxParallelSnapshots()

      Get maxParallelSnapshots
      Returns:
        maxParallelSnapshots

    - #### setMaxParallelSnapshots

          public void setMaxParallelSnapshots(BigDecimal maxParallelSnapshots)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.